Skip to main content

查询 Skill

返回技能元数据与最新版本号。响应结构与创建技能一致。仅 active 状态可挂载到智能体,挂载时不能锁定到 latest,必须指定具体版本号。

前提

已完成 Endpoint 与鉴权配置,详见API 总览与认证。

接口

GET /skills/{skill_id}

请求示例

curl "$AGENTSTUDIO_URL/skills/skill_xxx" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"

响应示例

{
  "id": "skill_xxx",
  "type": "skill",
  "name": "pdf3.0",
  "description": "Use this skill whenever the user wants to do anything with PDF files...",
  "source": "customer",
  "status": "active",
  "latest_version": "1.1",
  "created_at": "2026-06-16T07:56:03Z",
  "updated_at": "2026-06-16T08:12:47Z",
  "request_id": "xxx"
}

响应字段

字段类型说明
idstring技能 ID,格式 skill_xxx
typestring固定为 skill
name / descriptionstring从 zip 包内 SKILL.md 解析得到
sourcestring来源:customer(自建) / official(阿里云百炼官方)
statusstring扫描状态:checking / active / rejected / deleted,仅 active 可挂载
latest_versionstring最新版本号,挂载到智能体时不能锁定到 latest,必须指定具体版本号
created_at / updated_atstring创建 / 最近更新时间,ISO 8601
request_idstring本次请求的唯一标识
Flow Agent API
Sandbox API
RAG API
长期记忆
ParseX API
Security API
框架集成
Assistant API(下线中)